#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,256,320,448,960,1216,1280,1344,1408,1472,1984
 * N : 25,192,256,320,448,960,1216,1280,1344,1408,1472,1984
 * NB : 2,12,12,24,16,8,8,48,64,64,72,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 2; \
   else if ((n_) < 288) (nb_) = 12; \
   else if ((n_) < 384) (nb_) = 24; \
   else if ((n_) < 704) (nb_) = 16; \
   else if ((n_) < 1248) (nb_) = 8; \
   else if ((n_) < 1312) (nb_) = 48; \
   else if ((n_) < 1440) (nb_) = 64; \
   else if ((n_) < 1728) (nb_) = 72; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
